%define rname egenix-mx-base

Name:           python-%{rname}
Version:        3.0.0
Release:        %mkrel 1
Summary:        Python extensions from eGenix
License:        eGenix.com Public License
Group:          Development/Python
URL: http://www.egenix.com/files/python/eGenix-mx-Extensions.html
Source0:        %{rname}-%{version}.tar.gz
Obsoletes: %{rname} < %{version}-%{release}
Provides: egenix-mx-base = %{version}-%{release}
%py_requires -d
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
The eGenix mx Extension Series are a collection of
Python extensions written in ANSI C and Python
which provide a large spectrum of useful additions
to everyday Python programming.

The BASE package includes the Open Source subpackages
of the series and is needed by all other add-on
packages of the series.

This software is brought to you by eGenix.com and
distributed under the eGenix.com Public License.

%prep
%setup -q -n %{rname}-%{version}
%{_bindir}/find . -type f | %{_bindir}/xargs -t %{__sed} -i 's|/usr/local.*python|/usr/bin/python|'

%build
%{__python} setup.py build

%install
%{__rm} -rf %{buildroot}
%{__python} setup.py install --root=%{buildroot} --prefix=%_prefix --no-compile

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,0755)
%doc README mx/Doc mx/DateTime/Doc mx/Proxy/Doc mx/BeeBase/Doc mx/Queue/Doc mx/Stack/Doc mx/TextTools/Doc mx/Tools/Doc mx/DateTime/LICENSE mx/DateTime/COPYRIGHT
%{python_sitearch}/mx
%{python_sitelib}/mx
%{py_platsitedir}/*.egg-info




%changelog
* Wed Dec 12 2007 David Walluck <walluck@mandriva.org> 3.0.0-1mdv2008.1
+ Revision: 117653
- 3.0.0


* Tue Dec 05 2006 Nicolas Lécureuil <neoclust@mandriva.org> 2.0.6-3mdv2007.0
+ Revision: 90862
- Rebuild against new python
- import python-egenix-mx-base-2.0.6-2mdv2007.0

* Sat Sep 09 2006 David Walluck <walluck@mandriva.org> 2.0.6-2mdv2007.0
- rebuild
- fix install

* Sat Apr 30 2005 Pascal Terjan <pterjan@mandriva.org> 2.0.6-1mdk
- 2.0.6
- Updated url
- Change name to python-egenix-mx-base
- Fix interpreter path
- Don't ship .pyc

* Sat Dec 04 2004 Pascal Terjan <pterjan@mandrake.org> 2.0.5-3mdk
- Really rebuild for new python

* Sat Dec 04 2004 Pascal Terjan <pterjan@mandrake.org> 2.0.5-2mdk
- Rebuild for new python

* Thu Apr 22 2004 Pascal Terjan <pterjan@mandrake.org> 2.0.5-1mdk
- 2.0.5

